Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 626959 - Package update error
Package update error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libextractor (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Enrico Scholz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-24 14:23 EDT by David Kovalsky
Modified: 2014-03-31 19:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
yum log (39.13 KB, text/plain)
2010-08-24 14:23 EDT, David Kovalsky
no flags Details
Fix %postun script (845 bytes, patch)
2010-10-03 08:04 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description David Kovalsky 2010-08-24 14:23:56 EDT
Created attachment 440721 [details]
yum log

I've been updating libextractor from updates-testing, there was a non-fatal error:

...
Cleanup        : libextractor-0.6.0-1301.fc13.x86_64 35/46 
Non-fatal POSTUN scriptlet failure in rpm package libextractor
Cleanup        : ibus-hangul-1.3.0.20100329-2.fc13.x86_64 36/46 
/sbin/ldconfig: relative path `1' used to build cache
warning: %postun(libextractor-0.6.0-1301.fc13.x86_64) scriptlet failed, exit status 1
...


Full log attached.
Comment 1 Ville Skyttä 2010-10-03 08:02:31 EDT
This is because the "# TODO: ..." comments end up as script contents that are passed to /sbin/ldconfig which won't work:

| $ rpm -q --scripts libextractor | tail -n 4
| postuninstall scriptlet (using /sbin/ldconfig):
| 
| 
| # TODO: remove me in F-15
Comment 2 Ville Skyttä 2010-10-03 08:04:17 EDT
Created attachment 451262 [details]
Fix %postun script

This is against devel (where per the comment I suppose the %triggerpostun's should be just removed altogether), but the fix should be applied to earlier versions as well.
Comment 3 Fedora Update System 2010-10-09 06:49:29 EDT
libextractor-0.6.2-1401.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/libextractor-0.6.2-1401.fc14
Comment 4 Fedora Update System 2010-10-09 06:50:25 EDT
libextractor-0.6.2-1300.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/libextractor-0.6.2-1300.fc13
Comment 5 Fedora Update System 2010-10-09 22:04:20 EDT
libextractor-0.6.2-1401.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libextractor'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/libextractor-0.6.2-1401.fc14
Comment 6 David Kovalsky 2010-10-13 08:24:45 EDT
I've just updatesd F13, here's the result: 
(errors spewed from old package, but I guess it's expected)

======================================================================================
 Package                      Arch      Version              Repository          Size
======================================================================================
Updating:
 libextractor                 x86_64    0.6.2-1300.fc13      updates-testing    110 k
 libextractor-plugins-ole2    x86_64    0.6.2-1300.fc13      updates-testing     14 k

Transaction Summary
======================================================================================
Upgrade       2 Package(s)

Total download size: 124 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): libextractor-0.6.2-1300.fc13.x86_64.rpm                 | 110 kB     00:00     
(2/2): libextractor-plugins-ole2-0.6.2-1300.fc13.x86_64.rpm    |  14 kB     00:00     
--------------------------------------------------------------------------------------
Total                                                  60 kB/s | 124 kB     00:02     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Updating       : libextractor-0.6.2-1300.fc13.x86_64                            1/4 
  Updating       : libextractor-plugins-ole2-0.6.2-1300.fc13.x86_64               2/4 
  Cleanup        : libextractor-plugins-ole2-0.6.1-1300.fc13.x86_64               3/4 
  Cleanup        : libextractor-0.6.1-1300.fc13.x86_64                            4/4 
Non-fatal POSTUN scriptlet failure in rpm package libextractor

Updated:
  libextractor.x86_64 0:0.6.2-1300.fc13                            libextractor-plugins-ole2.x86_64 0:0.6.2-1300.fc13                           

Complete!
Comment 7 Bug Zapper 2011-06-01 06:33:52 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 David Kovalsky 2011-06-01 09:08:58 EDT
I guess this got fixed. Since I'm not using F13 anymore and it's EOLing, it doesn't really matter. Feel free to close.
Comment 9 Bug Zapper 2011-06-28 10:03:17 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.